// myofn.h

#ifndef MYOFN_H_INCLUDED
#define MYOFN_H_INCLUDED

#include <windows.h>
#include <tchar.h>

namespace mylib
{

class CMyOfn
{
public:
	CMyOfn();
	virtual ~CMyOfn();
	BOOL GetOpenFileName();
	BOOL GetSaveFileName();
	const TCHAR* FileName() const;

private:
	static const int MAX_FILENAME = 1024;

protected:
	OPENFILENAME m_ofn;
	TCHAR m_szFileName[(MAX_FILENAME + 1)];
	TCHAR* m_strFilter;
};

}	// namespace mylib

#endif	// MYOFN_H_INCLUDED
